"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const EventListener_1 = __importDefault(require("@sudobot/core/EventListener"));
const ClientEvents_1 = require("@sudobot/types/ClientEvents");
class MessageCreateEvent extends EventListener_1.default {
    constructor() {
        super(...arguments);
        this.name = ClientEvents_1.Events.MessageCreate;
    }
    async execute(message) {
        if (message.author.bot) {
            return;
        }
        this.client.getService("antiRickRollService").scanMessage(message);
    }
}
exports.default = MessageCreateEvent;
