"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.name = void 0;
const Service_1 = __importDefault(require("@sudobot/core/Service"));
const rickrolls_json_1 = require("../../resources/rickrolls.json");
exports.name = "antiRickRollService";
class AntiRickRollService extends Service_1.default {
    constructor() {
        super(...arguments);
        this.rickrolls = rickrolls_json_1.rickrolls;
    }
    async containsRickRoll(content) {
        for (const rickroll of this.rickrolls) {
            if (content.includes(rickroll)) {
                return true;
            }
        }
        return false;
    }
    async scanMessage(message) {
        if (!message.deletable) {
            return;
        }
        if (await this.containsRickRoll(message.content)) {
            await message.delete();
        }
    }
}
exports.default = AntiRickRollService;
